Subject: Re: Compile XEmacs with X support
From: "Dr. Volker Zell" <[email-masked]>
To: [email-masked]
Cc: Cygwin Users <[email-masked]>
Date: Thu, 31 Jan 2002 08:19:02 +0100

>>>>> "Per" == Per Magne Knutsen <[email-masked]> writes:

    Per> Has anyone compiled XEmacs successfully with support for XFree86? I would like to run xemacs under 
    Per> X, rather than the native NT gui, but I run into all kinds of trouble during configure or make. I've tested 
    Per> different distributions, including 21.1.9, 21.5.4 and 21.4.6 but get none of these to compile.

    Per> If anyone did get this working, which distribution did you use, and were any patches applied?

For xemacs-21.4.6 use:

------------------------------

diff -urN -x .build -x .inst -x .sinst xemacs-21.4.6-orig/configure xemacs-21.4.6/configure
--- xemacs-21.4.6-orig/configure	Wed Nov 21 11:12:08 2001
+++ xemacs-21.4.6/configure	Sun Jan 27 23:06:54 2002
@@ -13064,7 +13064,7 @@
   echo "$ac_t""yes" 1>&6
   sound_found=yes
        need_miscplay=yes
-        extra_objs="$extra_objs linuxplay.o" &&  if test "$extra_verbose" = "yes"; then
+        extra_objs="$extra_objs" &&  if test "$extra_verbose" = "yes"; then
    echo "    xemacs will be linked with \"linuxplay.o\""
  fi
         { test "$extra_verbose" = "yes" && cat << EOF
diff -urN -x .build -x .inst -x .sinst xemacs-21.4.6-orig/lisp/printer.el xemacs-21.4.6/lisp/printer.el
--- xemacs-21.4.6-orig/lisp/printer.el	Wed Jul 25 09:44:31 2001
+++ xemacs-21.4.6/lisp/printer.el	Sun Jan 27 23:06:54 2002
@@ -443,5 +443,5 @@
 	     (setq copies (1- copies)))))
 	((and (not (eq system-type 'windows-nt))
 	      (fboundp 'lpr-region))
-	 (lpr-region buffer))
+	 (lpr-region (point-min) (point-max)))
 	(t (error "No print support available"))))

---------------------------------------------------------------------

  LIBS='-L/usr/lib -lssl -lcrypto' ${srcdir}/configure \
    --srcdir=${srcdir} \
    --prefix=${prefix} \
    --with-mule \
    --with-site-lisp=yes \
    --with-site-modules=yes \
    --package-path=/usr/local/lib/xemacs/site-packages:/usr/local/lib/xemacs/xemacs-packages:/usr/local/lib/xemacs/mule-packages \
    --with_file_coding=yes \
    --with_msw=no

---------------------------------------------------------------------

XEmacs 21.4.6 "Common Lisp (candidate 1)" configured for `i686-pc-cygwin'.

Compilation / Installation:
  Source code location:              /gnu/src/xemacs-21.4.6
  Installation prefix:               /usr/local
  Operating system description file: `s/cygwin32.h'
  Machine description file:          `m/intel386.h'
  Compiler:                          gcc -g -O3 -Wall -Wno-switch -Winline -Wmissing-prototypes -Wsign-compare -Wshadow -Wpointer-arith
  Relocating allocator for buffers:  no
  GNU version of malloc:             yes

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 /usr/X11R6/include
    - X Windows libraries location:               /usr/X11R6/lib
    - Handling WM_COMMAND properly.
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Motif dialog boxes.
  Using Motif native widgets.

TTY:
  Compiling in support for ncurses.

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for GNU DBM.
  Compiling in support for LDAP.
  Compiling in support for PostgreSQL.
    - Using PostgreSQL header file:  postgresql/libpq-fe.h
    - Using PostgreSQL V7 bindings.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for file coding.
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.

Mail:
  Compiling in support for POP mail retrieval.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.

----------------------------------------------------------------------

For xemacs-21.5.3 use:

diff -urN -x .build -x .inst -x .sinst xemacs-21.5.3-orig/lisp/printer.el xemacs-21.5.3/lisp/printer.el
--- xemacs-21.5.3-orig/lisp/printer.el  Sun May 20 03:17:09 2001
+++ xemacs-21.5.3/lisp/printer.el       Sun Jan 13 19:17:58 2002
@@ -443,5 +443,5 @@
             (setq copies (1- copies)))))
        ((and (not (eq system-type 'windows-nt))
              (fboundp 'lpr-region))
-        (lpr-region buffer))
+        (lpr-region (point-min) (point-max)))
        (t (error "No print support available"))))

------------------------------------------------------------

    Per> Per Magne Knutsen

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/